# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext as _


class Domain(models.Model):
    """Represents a domain of documents (corresponds to a Sphinx project).
    """
    name = models.CharField(
        _(u'Name'), max_length=100,
        help_text=_(u'Name of the domain, which is used a bit of url.'))
    label = models.CharField(
        _(u'Label'), max_length=100,
        help_text=_(u'Human-readable label of the domain.'))
    document_root = models.CharField(
        _(u'Document root'), max_length=2048,
        help_text=_(u'Absolute path to which pickled document resides.'))
    
    def __unicode__(self):
        return _(u'%s on %s') %(self.label, self.name)

    class Meta:
        verbose_name = _('Domain')
        verbose_name_plural = _('Domains')
